from django.contrib import admin
from .models import URL, Visit, API_IP


class UrlAdmin(admin.ModelAdmin):
    search_fields = ('url', 'slug')
    list_display = ('slug', 'datetime', 'url')
    readonly_fields = ('datetime',)
    date_hierarchy = 'datetime'


class VisitAdmin(admin.ModelAdmin):
    list_display = ('url', 'datetime', 'remote_ip', 'tracked')
    readonly_fields = ('datetime',)
    date_hierarchy = 'datetime'


class API_IPAdmin(admin.ModelAdmin):
    list_display = ('count', 'remote_ip', 'start')
    date_hierarchy = 'start'


admin.site.register(URL, UrlAdmin)
admin.site.register(Visit, VisitAdmin)
admin.site.register(API_IP, API_IPAdmin)
