# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'URL'
        db.create_table(u'django_url_shortener_url', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('url', self.gf('django.db.models.fields.URLField')(max_length=512, db_index=True)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=50, unique=True, null=True)),
            ('campaign_name', self.gf('django.db.models.fields.CharField')(default='', max_length=100, blank=True)),
            ('campaign_keyword', self.gf('django.db.models.fields.CharField')(default='', max_length=100, blank=True)),
            ('datetime', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
        ))
        db.send_create_signal(u'django_url_shortener', ['URL'])

        # Adding model 'Visit'
        db.create_table(u'django_url_shortener_visit', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('url', self.gf('django.db.models.fields.related.ForeignKey')(related_name='visits', to=orm['django_url_shortener.URL'])),
            ('referrer', self.gf('django.db.models.fields.URLField')(max_length=512, blank=True)),
            ('user_agent', self.gf('django.db.models.fields.TextField')()),
            ('cookie', self.gf('django.db.models.fields.CharField')(default='', max_length=127, blank=True)),
            ('remote_ip', self.gf('django.db.models.fields.GenericIPAddressField')(max_length=39)),
            ('datetime', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('tracked', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'django_url_shortener', ['Visit'])

        # Adding model 'API_IP'
        db.create_table(u'django_url_shortener_api_ip', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('count', self.gf('django.db.models.fields.PositiveIntegerField')(default=0)),
            ('remote_ip', self.gf('django.db.models.fields.GenericIPAddressField')(max_length=39)),
            ('start', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
        ))
        db.send_create_signal(u'django_url_shortener', ['API_IP'])


    def backwards(self, orm):
        # Deleting model 'URL'
        db.delete_table(u'django_url_shortener_url')

        # Deleting model 'Visit'
        db.delete_table(u'django_url_shortener_visit')

        # Deleting model 'API_IP'
        db.delete_table(u'django_url_shortener_api_ip')


    models = {
        u'django_url_shortener.api_ip': {
            'Meta': {'ordering': "('-start',)", 'object_name': 'API_IP'},
            'count': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'remote_ip': ('django.db.models.fields.GenericIPAddressField', [], {'max_length': '39'}),
            'start': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'})
        },
        u'django_url_shortener.url': {
            'Meta': {'ordering': "('-id',)", 'object_name': 'URL'},
            'campaign_keyword': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'campaign_name': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'datetime': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50', 'unique': 'True', 'null': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '512', 'db_index': 'True'})
        },
        u'django_url_shortener.visit': {
            'Meta': {'ordering': "('-datetime',)", 'object_name': 'Visit'},
            'cookie': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '127', 'blank': 'True'}),
            'datetime': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'referrer': ('django.db.models.fields.URLField', [], {'max_length': '512', 'blank': 'True'}),
            'remote_ip': ('django.db.models.fields.GenericIPAddressField', [], {'max_length': '39'}),
            'tracked': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'url': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'visits'", 'to': u"orm['django_url_shortener.URL']"}),
            'user_agent': ('django.db.models.fields.TextField', [], {})
        }
    }